//
//  mdi_panel.h - multi-document panel class header file
//
//  $Id: mdi_panel.h 43 2014-02-07 00:31:21Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef MDI_PANEL_H
#define MDI_PANEL_H

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

/// <summary>
/// MDI panel object
/// </summary>
class CMDIPanel : public CFormView
{
	DECLARE_DYNCREATE(CMDIPanel)

public:
	enum { IDD = IDD_MDI_PANEL };

protected:
	/// <summary>Constructor (used by dynamic creation).</summary>
	CMDIPanel() : CFormView(CMDIPanel::IDD) {}
	/// <summary>Destructor.</summary>
	virtual ~CMDIPanel() {}

	/// <summary>DDX/DDV support.</summary>
	/// <param name="pDX">DDX/DDV data.</param>
	virtual void				DoDataExchange(CDataExchange* pDX) { CFormView::DoDataExchange(pDX); }

	DECLARE_MESSAGE_MAP()
};

#endif			// MDI_PANEL_H

